Gets the number of messages sent as part of a TXT programme. The message count is partitioned into Inbound, Outbound, Api and TxtOut categories.
Required permissions: Messages and Reports
get
Path parameters
programmeIDstring · uuidRequired
The ID of the TXT programme.
Query parameters
apiTokenstringRequired
API authentication token
Responses
200
OK
application/json
inboundinteger · int32Optional
outboundinteger · int32Optional
txtOutinteger · int32Optional
apiinteger · int32Optional
totalinteger · int32Read-onlyOptional
400
Missing Parameter Value
application/json
401
Incorrect Permissions or Invalid API Token
application/json
500
Engage Server Error. Unable to process response at this time.
application/json
get/txt/programmes/{programmeID}/messages/count
GET /txt/programmes/{programmeID}/messages/count?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
{
"inbound": 1,
"outbound": 1,
"txtOut": 1,
"api": 1,
"total": 1
}Last updated
Was this helpful?

